View Issue Details

IDProjectCategoryView StatusLast Update
0004802Talerwallet (WebExtensions)public2017-10-18 15:42
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004802: JS-less error handling
DescriptionSince merchants cannot register error handlers in taler-wallet-lib when
they work JS-less, the wallet should either manage the error itself
(by just rendering the error message), or we should design some other headers-based
technique to accomplish that.

Right now, when doing JS-less and some error occurs, the wallet just pops up a
'No handlers registered' dialog.
TagsNo tags attached.

Activities

Florian Dold

2017-08-27 07:22

manager   ~0012398

We have error report pages now that are opened by the wallet when something goes wrong, either in the same or a new tab depending on the type of error.

Issue History

Date Modified Username Field Change
2016-11-18 09:17 Marcello Stanisci New Issue
2016-11-18 09:17 Marcello Stanisci Status new => assigned
2016-11-18 09:17 Marcello Stanisci Assigned To => Florian Dold
2017-03-18 23:34 Christian Grothoff Product Version => SVN HEAD
2017-03-18 23:34 Christian Grothoff Target Version => 0.7
2017-04-09 00:18 Christian Grothoff Target Version 0.7 => 0.6
2017-08-27 07:21 Florian Dold Target Version 0.6 => 0.4
2017-08-27 07:22 Florian Dold Status assigned => resolved
2017-08-27 07:22 Florian Dold Resolution open => fixed
2017-08-27 07:22 Florian Dold Note Added: 0012398
2017-10-11 14:12 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed